## OGMDvdMonitor OGMDvdMonitor — An object monitoring optical drives |

## Functions

OGMDvdMonitor * | ogmdvd_monitor_get_default ()
GSList * | ogmdvd_monitor_get_drives ()
OGMDvdDrive * | ogmdvd_monitor_get_drive ()

## Types and Values

struct | OGMDvdMonitor

## Includes

    #include <ogmdvd-monitor.h>

## Description

## Functions

### ogmdvd_monitor_get_default ()

    OGMDvdMonitor *
    ogmdvd_monitor_get_default (void);

Gets the default monitor.

#### Returns

an OGMDvdMonitor

### ogmdvd_monitor_get_drives ()

    GSList *
    ogmdvd_monitor_get_drives (OGMDvdMonitor *monitor);

Get the list of available OGMDvdDrive.

#### Parameters

monitor | OGMDvdMonitor |

#### Returns

a list of optical drives

### ogmdvd_monitor_get_drive ()

    OGMDvdDrive *
    ogmdvd_monitor_get_drive (OGMDvdMonitor *monitor,
                              const gchar *device);

Gets the drive with the given device in any.

#### Parameters

monitor | OGMDvdMonitor |
device | a device path |

#### Returns

an OGMDvdDrive or NULL

## Types and Values

### struct OGMDvdMonitor

    struct OGMDvdMonitor {
      GObject parent_instance;

      OGMDvdMonitorPriv *priv;
    };